Bug 1304377 - Fedora - QEMU gdbserver cannot access VSX registers
Summary: Fedora - QEMU gdbserver cannot access VSX registers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 23
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1305512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-03 12:50 UTC by IBM Bug Proxy
Modified: 2016-02-21 16:24 UTC (History)
13 users (show)

Fixed In Version: qemu-2.4.1-7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 12:59:21 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 126162 None None None 2016-02-03 12:50:50 UTC

Description IBM Bug Proxy 2016-02-03 12:50:34 UTC

Comment 1 IBM Bug Proxy 2016-02-03 12:50:44 UTC
A customer with Fedora 22 x86_64 and qemu-ppc64le 2.1.3 running AT8.0.3 gdb connected to QEMU gdbserver (QEMU running with '-g <port-number>' option) is unable to access part of the ppc64le registers.

Here is the output when trying to access VSX registers:

i r $vs0
Invalid register `vs0'

i r vs0
Invalid register `vs0'

i r $vs32
Invalid register `vs32'

i r $vr0
vr0            {uint128 = 0x00000000000000000000000000000000, v4_float =
{0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v8_int16 = {0x0,
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}}


Here are the upstream QEMU commits to fix TCG guests on all platforms:

http://git.qemu.org/?p=qemu.git;a=commit;h=376dbce0e3abe456fb8c7a3cd40dc369f8b33d30
http://git.qemu.org/?p=qemu.git;a=commit;h=385abeb3e356452eace44f3fe15e18c2532dcaa7
http://git.qemu.org/?p=qemu.git;a=commit;h=87601e2d5c22d9c1fef0e09978d377f46336c1db
http://git.qemu.org/?p=qemu.git;a=commit;h=ea499e71506c91aa259a7fdccf1d6b2022f5b530
http://git.qemu.org/?p=qemu.git;a=commit;h=95f5b540abd964ac3bc9c63434d07681a5a175eb
http://git.qemu.org/?p=qemu.git;a=commit;h=1438eff302cbc6c85d477fd7181b8a9aeea2efd7

The following patch is also required to fix KVM guests on ppc64le platforms:

http://git.qemu.org/?p=qemu.git;a=commit;h=3a4b791b4c13e02537a5cc572fa3de70bc5f68da

Comment 2 IBM Bug Proxy 2016-02-08 13:21:06 UTC
------- Comment From MENANTEA@fr.ibm.com 2016-02-08 08:19 EDT-------
I tried to build qemu-2.5.0-4 in koji based on fedora f24/rawhide including patches corresponding to commits described above but I get another problem on qemu build (not related to commits) referenced as:
https://bugzilla.redhat.com/show_bug.cgi?id=1305512

Comment 3 Fedora Update System 2016-02-16 14:14:05 UTC
qemu-2.4.1-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b49aaf2c56

Comment 4 Fedora Update System 2016-02-17 06:27:12 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b49aaf2c56

Comment 5 Fedora Update System 2016-02-21 12:58:05 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-21 16:18:40 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-21 16:24:43 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.